#
# spec file for package kdelibs4-experimental (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define debug_package_requires libknotificationitem-1-1 = %version-%release

Name:           kdelibs4-experimental
BuildRequires:  libkde4-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdelibs-experimental-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
Patch1:         dont_include_cmake.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic libraries of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop that do not have
their API frozen yet and may therefore not keep backwards compatibility.


Authors:
--------
    The KDE Team <kde@kde.org>

%package -n libknotificationitem-1-1
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries
Provides:       libknotificationitem-1 = 4.2.90
Obsoletes:      libknotificationitem-1 <= 4.2.90

%description -n libknotificationitem-1-1
This package contains the basic libraries of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop that do not have
their API frozen yet and may therefore not keep backwards compatibility.



Authors:
--------
    The KDE Team <kde@kde.org>

%package -n libknotificationitem-devel
License:        LGPLv2.1+
Group:          System/GUI/KDE
Summary:        KDE Base Libraries
Requires:       libknotificationitem-1-1 = %version

%description -n libknotificationitem-devel
This package contains the basic libraries of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop that do not have
their API frozen yet and may therefore not keep backwards compatibility.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdelibs-experimental-%version
%patch0
%patch1

%build
  %cmake_kde4 -d build -- $EXTRA_FLAGS
  %make_jobs

%install
  cd build
  %makeinstall

%post -n libknotificationitem-1-1 -p /sbin/ldconfig

%postun -n libknotificationitem-1-1 -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%files -n libknotificationitem-1-1
%defattr(-,root,root)
%_kde4_libdir/libknotificationitem-1.so.*

%files -n libknotificationitem-devel
%defattr(-,root,root)
%_kde4_libdir/libknotificationitem-1.so
/usr/include/knotificationitem-1
/usr/share/dbus-1/interfaces/org.kde.NotificationItem.xml
/usr/share/dbus-1/interfaces/org.kde.NotificationItemWatcher.xml

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Tue Dec  1 2009 llunak@novell.com
- fix package description (bnc#558323)
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Wed May 20 2009 dmueller@suse.de
- fix debug package requires
* Mon May 18 2009 coolo@novell.com
- update 4_3_BRANCH to get correct license
* Mon May 18 2009 coolo@novell.com
- fix baselibs.conf
* Thu May  7 2009 dmueller@suse.de
- Introduce experimental kdelibs4 splitoff for KDE 4.3 beta1
